package main

import (
	"fmt"
	"monoblock/chain"
	"monoblock/keymgmt"
	"testing"
)

func TestGenerateAddress(t *testing.T) {
	addr1 := keymgmt.GenerateAddress()
	addr2 := keymgmt.GenerateAddress()
	ta1 := chain.NewTransaction(addr1.GetAddress(), addr2.GetAddress(), 100)

	fmt.Printf("%x\n", ta1.ToBytes())
	fmt.Printf("%x\n", ta1.ToBytesSerialize())
}
